Random letters
Most popular
Newest
Latest
Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Nu Kietasas kaip beinas ? Ir jau primusi Ramuniel?

Read full letter

Dear Madison, I'm writing this letter on January 27th, 2016. I just randomly found this website so this is kind of a spur of the moment deal. I'm just gonna talk about shit I'm dealing with right...

Read full letter

have you found yourself?

Read full letter

hi mikaél, HAPPY BIRTHDAY CRODIE. i forgot to ask for ur email but i guessed it was micheal_11133e@gmail.com i wrote e instead of 3 cuz i remember u told me u messed it up once i don t know if...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter